export function RoleList(params = [], fullAccess = false) {
  return [
    {
      scopes: [
        'event:read',
        'event:write',
        'project:read',
        'project:releases',
        'org:read',
        'event:admin',
        'member:read',
        'team:read',
      ],
      is_global: false,
      name: 'Member',
      allowed: true,
      id: 'member',
      desc:
        'Members can view and act on events, as well as view most other data within the organization.',
    },
    {
      scopes: [
        'event:read',
        'event:write',
        'team:admin',
        'project:read',
        'project:releases',
        'org:read',
        'event:admin',
        'member:read',
        'project:write',
        'team:read',
        'project:admin',
        'team:write',
        'org:integrations',
      ],
      is_global: false,
      name: 'Admin',
      allowed: fullAccess,
      id: 'admin',
      desc:
        "Admin privileges on any teams of which they're a member. They can create new teams and projects, as well as remove teams and projects which they already hold membership on (or all teams, if open membership is on).",
    },
    {
      scopes: [
        'event:read',
        'event:write',
        'team:admin',
        'member:write',
        'member:admin',
        'org:write',
        'event:admin',
        'project:write',
        'project:admin',
        'team:read',
        'org:integrations',
        'project:read',
        'project:releases',
        'org:read',
        'member:read',
        'team:write',
      ],
      is_global: true,
      name: 'Manager',
      allowed: fullAccess,
      id: 'manager',
      desc:
        'Gains admin access on all teams as well as the ability to add and remove members.',
    },
    {
      scopes: [
        'org:write',
        'member:write',
        'team:admin',
        'member:admin',
        'event:admin',
        'project:write',
        'org:admin',
        'project:admin',
        'event:write',
        'team:read',
        'project:read',
        'project:releases',
        'org:read',
        'member:read',
        'org:integrations',
        'event:read',
        'team:write',
      ],
      is_global: true,
      name: 'Owner',
      allowed: fullAccess,
      id: 'owner',
      desc:
        'Gains full permission across the organization. Can manage members as well as perform catastrophic operations such as removing the organization.',
    },
    ...params,
  ];
}
